%global _empty_manifest_terminate_build 0
Name:		python-PythonWebHDFS
Version:	0.2.3
Release:	1
Summary:	Customized Python Web HDFS client
License:	MIT License
URL:		https://pypi.org/project/PythonWebHDFS
Source0:	https://files.pythonhosted.org/packages/8c/ef/8d16000d1f24624598307cfc62c0e3525bb317a59e38b2d23161ac52b8dc/PythonWebHDFS-0.2.3.tar.gz
BuildArch:	noarch

Requires:	python3-requests
Requires:	python3-simplejson

%description
Customized Python WebHDFS client, Modified from https://pypi.org/project/PyHDFS/

%package -n python3-PythonWebHDFS
Summary:	Customized Python Web HDFS client
Provides:	python-PythonWebHDFS
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-PythonWebHDFS
Customized Python WebHDFS client, Modified from https://pypi.org/project/PyHDFS/

%package help
Summary:	Development documents and examples for PythonWebHDFS
Provides:	python3-PythonWebHDFS-doc
%description help
Customized Python WebHDFS client, Modified from https://pypi.org/project/PyHDFS/

%prep
%autosetup -n PythonWebHDFS-0.2.3

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-PythonWebHDFS -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Oct 01 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
